# system-summary: An About This Computer dialog
#
# Copyright (C) 2007 James Bowes <jbowes@redhat.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import subprocess
import webbrowser

import pygtk
pygtk.require('2.0')

import gtk
import gtk.glade

import sexy

from system_summary.util import config

class SystemSummaryGui(object):

    def __init__(self, infos, smolt_id = None):
        self.glade_file = config.DATADIR + 'system-summary.glade'
        glade_xml = gtk.glade.XML(self.glade_file)
        self.dialog = glade_xml.get_widget('system-summary-dialog')
        self.info_box = glade_xml.get_widget('info-vbox')

        signals = {
            'on_system-summary-dialog_delete': self._decorator_close_dialog,
            'on_close-button_clicked': self._button_close_dialog,
            'on_more-info-button_clicked': self._info_button_clicked,
        }
        glade_xml.signal_autoconnect(signals)

        if smolt_id:
            link_txt = 'Smolt Id: <a href="http://smolt.fedoraproject.org/show?UUID=%s">%s</a>' % (smolt_id, smolt_id)
            infos.append(link_txt)

        self._add_info('\n'.join(infos))

    def run(self):
        self.dialog.show_all()
        gtk.main()

    def _add_info(self, info):
        label = sexy.UrlLabel(info)
        label.set_property('selectable', True)
        label.set_property('justify', gtk.JUSTIFY_CENTER)
        label.connect('url-activated', self._smolt_id_clicked)
        self.info_box.pack_start(label)

    def _smolt_id_clicked(self, widget, url):
        webbrowser.open(url)

    def _close_dialog(self):
        self.dialog.destroy()
        gtk.main_quit()

    def _decorator_close_dialog(self, widget, event):
        self._close_dialog()

    def _button_close_dialog(self, widget):
        self._close_dialog()

    def _info_button_clicked(self, widget):
        subprocess.Popen(['smoltGui'])
