# system-summary: An About This Computer dialog
#
# Copyright (C) 2007 James Bowes <jbowes@redhat.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import sys
from optparse import OptionParser

from system_summary.util import config
from system_summary import sysinfo

def main():
    parser = OptionParser(version = config.VERSION)
    parser.add_option('-t', '--text', action='store_true',
            help='print system summary to standard output')
    options, args = parser.parse_args()

    info = sysinfo.get_info()
    smolt_id = sysinfo.get_smolt_id()

    if options.text:
        for line in info:
            print line
        if smolt_id:
            print "Smolt Id: %s" % smolt_id
    else:
        from system_summary import gui
        summary = gui.SystemSummaryGui(info, smolt_id)
        summary.run()
