# system-summary: An About This Computer dialog
#
# Copyright (C) 2007 James Bowes <jbowes@redhat.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import sys

sys.path.append('/usr/share/smolt/client')
import smolt

# read the profile
try:
    profile = smolt.Hardware()
except smolt.SystemBusError, e:
    error('Error:' + ' ' + e.message)
    if e.hint is not None:
        error('\t' + 'Hint:' + ' ' + e.hint)
    sys.exit(8)

def get_smolt_id():
    return profile.host.UUID

def get_info():
    info = []
    info.append(_get_release())
    info.append(_get_kernel_version() + " " + _get_arch())
    info.append('')
    info.append(_get_cpu())
    info.append(_get_cpu_count())
    info.append(_get_ram())

    return info

def _get_release():
    return profile.host.os

def _get_kernel_version():
    return "Kernel " + profile.host.kernelVersion

def _get_arch():
    return profile.host.platform

def _get_cpu():
    return profile.host.cpuModel

def _get_cpu_count():
    return "CPUs: " + str(profile.host.numCpus)

def _get_ram():
    return profile.host.systemMemory + "MB RAM"
